GNU bug report logs - #29778
grep seems to ignore GREP_OPTIONS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Reported by: Dennis <grep+user@HIDDEN>; Keywords: unreproducible; merged with #29354; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for grep is bug-grep@HIDDEN.
Merged 29354 29778. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 29778 <at> debbugs.gnu.org and Dennis <grep+user@HIDDEN> Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) unreproducible. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29778 <at> debbugs.gnu.org:


Received: (at 29778) by debbugs.gnu.org; 21 Dec 2017 23:34:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 21 18:34:39 2017
Received: from localhost ([127.0.0.1]:46596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eSAMI-0004Ep-U1
	for submit <at> debbugs.gnu.org; Thu, 21 Dec 2017 18:34:39 -0500
Received: from havoc.proulx.com ([96.88.95.61]:51732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bob@HIDDEN>) id 1eSAMH-0004Ec-De
 for 29778 <at> debbugs.gnu.org; Thu, 21 Dec 2017 18:34:37 -0500
Received: from joseki.proulx.com (localhost [127.0.0.1])
 by havoc.proulx.com (Postfix) with ESMTP id B366B641;
 Thu, 21 Dec 2017 16:34:31 -0700 (MST)
Received: from hysteria.proulx.com (hysteria.proulx.com [192.168.230.119])
 by joseki.proulx.com (Postfix) with ESMTP id 75A612125A;
 Thu, 21 Dec 2017 16:34:31 -0700 (MST)
Received: by hysteria.proulx.com (Postfix, from userid 1000)
 id 5C62F2DC63; Thu, 21 Dec 2017 16:34:31 -0700 (MST)
Date: Thu, 21 Dec 2017 16:34:31 -0700
From: Bob Proulx <bob@HIDDEN>
To: Dennis <grep+user@HIDDEN>
Subject: Re: bug#29778: grep seems to ignore GREP_OPTIONS
Message-ID: <20171221163108998201627@HIDDEN>
References: <1055b9c0-bdd1-3e0b-cabf-edf049d3148b@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1055b9c0-bdd1-3e0b-cabf-edf049d3148b@HIDDEN>
X-Debbugs-No-Ack: true
User-Agent: Mutt/1.9.2 (2017-12-15)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29778
Cc: 29778 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Dennis wrote:
> For a long time I have used GREP_OPTIONS to set the
> --ignore-case option. Suddenly it seems to be ignoring it.
> 
> I am running Debian Jessie and grep 2.20

I cannot reproduce this problem on Debian Jessie 8 using grep 2.20
from the Debian distribution.  Here is my test case.

  rwp@rainy:~$ echo ONE | GREP_OPTIONS= grep one

  rwp@rainy:~$ echo ONE | GREP_OPTIONS=--ignore-case grep one
  ONE

  rwp@rainy:~$ echo ONE | env -i GREP_OPTIONS=--ignore-case grep one
  ONE

  rwp@rainy:~$ grep --version
  grep (GNU grep) 2.20

Works for me.

Perhaps you have some incompatible LC_COLLATE and LC_CTYPE variables
mixing?

Bob




Information forwarded to bug-grep@HIDDEN:
bug#29778; Package grep. Full text available.

Message received at 29778 <at> debbugs.gnu.org:


Received: (at 29778) by debbugs.gnu.org; 20 Dec 2017 05:54:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 20 00:54:11 2017
Received: from localhost ([127.0.0.1]:42924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRXKV-0003Qw-Lb
	for submit <at> debbugs.gnu.org; Wed, 20 Dec 2017 00:54:11 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:34630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eRXKU-0003Qk-5H
 for 29778 <at> debbugs.gnu.org; Wed, 20 Dec 2017 00:54:10 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0BD48161536;
 Tue, 19 Dec 2017 21:54:04 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id m0IYwR-sVSNQ; Tue, 19 Dec 2017 21:54:03 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 53632161535;
 Tue, 19 Dec 2017 21:54:03 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id BBW5LBsZpSiE; Tue, 19 Dec 2017 21:54:03 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 39C131613EE;
 Tue, 19 Dec 2017 21:54:03 -0800 (PST)
Subject: Re: bug#29778: grep seems to ignore GREP_OPTIONS
To: Dennis <grep+user@HIDDEN>, 29778 <at> debbugs.gnu.org
References: <1055b9c0-bdd1-3e0b-cabf-edf049d3148b@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <c7a1b3a2-09b6-6120-6c10-32cd83c59df3@HIDDEN>
Date: Tue, 19 Dec 2017 21:54:03 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.5.0
MIME-Version: 1.0
In-Reply-To: <1055b9c0-bdd1-3e0b-cabf-edf049d3148b@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29778
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 12/19/2017 06:29 PM, Dennis wrote:
> For a long time I have used GREP_OPTIONS to set the
> --ignore-case option. Suddenly it seems to be ignoring it.

That's odd, since (though GREP_OPTIONS is obsolescent) it should work,=20
with a warning. From the NEWS file:

> =C2=A0 The GREP_OPTIONS environment variable is now obsolescent, and gr=
ep
> =C2=A0 now warns if it is used.=C2=A0 Please use an alias or script ins=
tead.
Please send us the grep version number, how you built and installed=20
grep, and give a test case showing how to reproduce the problem. In the=20
long run I suggest that you also look into solving your problem without=20
using GREP_OPTIONS.





Information forwarded to bug-grep@HIDDEN:
bug#29778; Package grep. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Dec 2017 04:55:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 23:55:39 2017
Received: from localhost ([127.0.0.1]:42890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRWPr-00018d-2j
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 23:55:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <grep+user@HIDDEN>) id 1eRU8a-0006Dz-09
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 21:29:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <grep+user@HIDDEN>) id 1eRU8U-0003Bz-7n
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 21:29:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56729)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <grep+user@HIDDEN>)
 id 1eRU8U-0003Bt-4W
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 21:29:34 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44944)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <grep+user@HIDDEN>) id 1eRU8T-0008Qb-7S
 for bug-grep@HIDDEN; Tue, 19 Dec 2017 21:29:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <grep+user@HIDDEN>) id 1eRU8O-000393-BS
 for bug-grep@HIDDEN; Tue, 19 Dec 2017 21:29:33 -0500
Received: from mx1.riseup.net ([198.252.153.129]:58376)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <grep+user@HIDDEN>)
 id 1eRU8O-00037J-6G
 for bug-grep@HIDDEN; Tue, 19 Dec 2017 21:29:28 -0500
Received: from piha.riseup.net (unknown [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 658271A016F
 for <bug-grep@HIDDEN>; Tue, 19 Dec 2017 18:29:10 -0800 (PST)
X-Riseup-User-ID: A4E21F6FD63145C20121F3F25FE1E2FB5BB93A721E695BB25823AA0481B6FEA4
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id E339222B50C
 for <bug-grep@HIDDEN>; Tue, 19 Dec 2017 18:29:28 -0800 (PST)
To: Grep Bugs <bug-grep@HIDDEN>
From: Dennis <grep+user@HIDDEN>
Subject: grep seems to ignore GREP_OPTIONS
Message-ID: <1055b9c0-bdd1-3e0b-cabf-edf049d3148b@HIDDEN>
Date: Tue, 19 Dec 2017 20:29:20 -0600
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 19 Dec 2017 23:55:38 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

For a long time I have used GREP_OPTIONS to set the
--ignore-case option. Suddenly it seems to be ignoring it.

I am running Debian Jessie and grep 2.20




Acknowledgement sent to Dennis <grep+user@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#29778; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 31 Dec 2019 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.